/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId}
curl --request PUT \
--url https://api.vehicle.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"licensePlate": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
'import requests
url = "https://api.vehicle.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId}"
payload = {
"name": "<string>",
"licensePlate": "<string>",
"make": "<string>",
"model": "<string>",
"year": 2000,
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
licensePlate: '<string>',
make: '<string>',
model: '<string>',
year: 2000,
shared: [
{id: '<string>', firstName: '<string>', lastName: '<string>', email: '<string>'}
]
})
};
fetch('https://api.vehicle.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"licensePlate": "<string>",
"make": "<string>",
"model": "<string>",
"year": 123,
"external": {
"walletId": "<string>",
"accountId": "<string>"
},
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Vehicles
/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId}
PUT
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
vehicles
/
{vehicleId}
/realms/{realmId}/organizations/{organizationId}/vehicles/{vehicleId}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 256Required string length:
1 - 16Required string length:
1 - 128Required string length:
1 - 128Required range:
1900 <= x <= 2100Minimum array length:
1Show child attributes
Show child attributes
Response
200 - application/json
Successful response
Vehicle lifecycle state — archiving is a soft-delete, never a hard removal.
Available options:
ACTIVE, ARCHIVED Provider-side identifiers for the vehicle's dedicated gas-card wallet.
Show child attributes
Show child attributes
⌘I